Foreman - Bug #4976

Partition table is not required when creating host with network provisioning
03/31/2014 03:56 PM - lvan Necas

Status: Closed

Priority: Normal

Assignee: Ivan Necas

Category: Host creation

Target version: 1.5.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

However, kickstart templates count on it and it fails badly
when rendering it:

Processing by UnattendedController#provision as HTML
Parameters: {"hostname"=>"rhel6-1.katellolabs.org"}
Found rhel6-1.katellolabs.org
Operation FAILED: private method "layout' called for nil:NilClass
Completed 500 Internal Server Error in 145ms

app/models/host/managed.rb:249:in “diskLayout'
app/controllers/unattended_controller.rb:196:in "kickstart_attributes'
app/controllers/unattended_controller.rb:170:in ~load_template_vars'
app/models/concerns/foreman/thread_session.rb:33:in “clear_thread’

Associated revisions

Revision e4fded4e3 - 04/02/2014 11:01 AM - lvan Necas

Fixes #4976 - ensure the process is really running inside a rake task

History

#1 - 03/31/2014 03:57 PM - Dominic Cleal

- Subject changed from Partitiona table is not required when creating host with network provisioning to Partition table is not required when creating
host with network provisioning

- Category set to Host creation

#2 - 04/01/2014 08:57 AM - Ivan Necas

- Status changed from New to Assigned

- Assignee set to Ivan Necas

More details: this happens only with Katello in place.

The cause is Foreman uses this to determine if it's running in rake task or not:

if defined? Rake

However, tire gem requires rake in non-rake task as well, so the constant is defined.

| will update the code, extract the checking on running in rake to a single method and
use more complex logic to determine it's really running from rake.

#3 - 04/01/2014 11:41 AM - lvan Necas
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1344
https://github.com/theforeman/foreman/pull/1344

#4 - 04/01/2014 11:46 AM - Dominic Cleal

- Target version set to 1.8.4

#5 - 04/02/2014 11:01 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#6 - 04/02/2014 04:31 PM - lvan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset e4fde4e380e68b70585{51dd122b4ae7e95dcb5d.
